%%
% This is a README File for CEP Paper M-Files folder
% All the M-files and Simulink Models' functionalities are described here. 
% However, each file contains detailed comment inside the file. 
%
%
%%
% *GTM Analysis M-Files*
%
% *|gtmlongnl.m|*:
% This file computes the state derivatives for a 4-state
% longitudinal model of the GTM.  This model uses the GTM
% look-up tables for the aerodynamic coefficients.    
%
% *|gtmlongpoly.m|*:
% This function creates a 4-state polynomial model of the
% longitudinal GTM dynamics.  Least squares is used to 
% compute polynomial fits to trigonometric functions, 1/V,
% aerodynamic tables, and the engine model.
%
% *|gtmpolyfits.m|*:
% This function uses least squares to compute polynomial 
% fits needed for the 4-state longitudinal GTM model. 
% Polynomials fits are computed for trigonometric functions, 
% 1/V, aerodynamic tables (Wind Axes), and the engine model.
%
% *|trimlongdyn.m|*:
% This file computes trim conditions for the 4-state nonlinear and
% polynomial models at a wide range of airspeeds. The nonlinear 
% model uses the raw aero look-up tables, trig functions, and 1/V.  The 
% polynomial model uses polynomial fits for these nonlinearities.
%
% *|Gen_GTMAnalModel.m|*:
% This file generates the required GTM models for analysis presented in the
% CEP paper. Specifically, the file generates both 2-state short-period  
% polynomial models and longitudinal 4-state models including off-nominal 
% values of Cmq3 derivative. 
%
% *|PlotGTMPhaseSims.m|*:
% This file plots the following phase-plane simulations presented in the CEP paper: 
%      1) (CEP Fig 3) Phase-plane comparison of polynomial short-period model
%       and 4-state polynomial models. 
%      2) (CEP Fig 6) Phase-plane simulation of polynomial short period
%      model with cubic pitch damping nonlineairty
%
% *|Run_GTMROA_VsIter.m|*:
% This file performs the V-s iteration for estimating lower bound of 
% region-of-attraction for (i) polynomial short-period model, and 
% (ii) 4-state longitudinal polynomial model.
%
% *|Search4UnstableTraj.m|*:
% Performs Monte carlo simulation to estimate the upper bound of the ROA for
% the GTM aircraft. 
%%
% *MAT FILES*
%
% The MAT file aerodat.mat provides the lookup table of the GTM 
% aerodynamic coefficients. The other MAT file GTMModelLongPoly
% provide the polynomial longitudinal model with trim values of  
% the performed analysis. 



